Gtk::RecentChooserError Class Reference

Exception class for Gtk::RecentChooser errors. More...

Inheritance diagram for Gtk::RecentChooserError:
[legend]
Collaboration diagram for Gtk::RecentChooserError:
[legend]

## Public Types

enum | Code { NOT_FOUND, INVALID_URI }

## Public Member Functions

| RecentChooserError (Code error_code, const Glib::ustring& error_message)
| RecentChooserError (GError* gobject)
Code | code () const
Public Member Functions inherited from Glib::Error
| Error ()
| Error (GQuark error_domain, int error_code, const Glib::ustring &message)
| Error (GError *gobject, bool take_copy=false)
| Error (const Error &other)
Error & | operator= (const Error &other)
| ~Error () noexceptoverride
GQuark | domain () const
int | code () const
Glib::ustring | what () const override
bool | matches (GQuark error_domain, int error_code) const
GError * | gobj ()
const GError * | gobj () const
Public Member Functions inherited from Glib::Exception
virtual | ~Exception () noexcept=0

## Additional Inherited Members

Protected Attributes inherited from Glib::Error
GError * | gobject_

## Detailed Description

Exception class for Gtk::RecentChooser errors.

## Member Enumeration Documentation

enum Gtk::RecentChooserError::Code

Enumerator
NOT_FOUND |
INVALID_URI |

## Constructor & Destructor Documentation

Gtk::RecentChooserError::RecentChooserError | ( | Code | error_code,
|  | const Glib::ustring & | error_message
| ) |  |

Gtk::RecentChooserError::RecentChooserError | ( | GError * | gobject | ) |

explicit

## Member Function Documentation

Code Gtk::RecentChooserError::code | ( |  | ) | const

The documentation for this class was generated from the following file:

- gtkmm/recentchooser.h